package de.itstall;

import java.util.ArrayList;
import java.util.List;

public class Main {

	public static void main(String[] args) {
		List<Thread> threadList = new ArrayList<>();
		int ausfuehrungen = 25;

		try {
			Thread.sleep(20000);
		} catch (InterruptedException ignored) {
		}

        System.out.println("Starte Messung");
		long start = System.currentTimeMillis();

		for (int i = 0; i < ausfuehrungen; i++) {
			Thread th = new Thread(new Summierer(i));
			th.start();
			threadList.add(th);
		}

		for (Thread thread : threadList) {
			try {
				thread.join();
			} catch (InterruptedException ignored) {
			}
		}

		long dauer = System.currentTimeMillis() - start;

		System.out.println("Dauer der Abfertigung: " + dauer + " Milisekunden");
	}
}
